function ajax(options) {
    var xhr = new XMLHttpRequest();
    
    xhr.onreadystatechange = function() {
        if (xhr.readyState === XMLHttpRequest.DONE) {
            if (xhr.status >= 200 && xhr.status < 300) {
                if (options.success && typeof options.success === 'function') {
                    options.success(xhr.responseText);
                }
            } else {
                if (options.error && typeof options.error === 'function') {
                    options.error(xhr, xhr.status, xhr.statusText);
                }
            }
        }
    };
    
    var method = options.method || 'GET';
    var url = options.url;
    var async = options.async !== undefined ? options.async : true;
    var data = options.data || null;
    
    xhr.open(method, url, async);
    
    if (method === 'POST') {
        xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
    }
    
    xhr.send(data);
}





function ajaxCall(url,div,data)
{
	ajax({
	    url: url+"/ajax",
	    method: 'POST',
	    data: "apiKey="+apiKey+"&"+data,
	    success: function(response) {
	    	$("."+div).html(response);
	    },
	    error: function(xhr, status, error) {

	    }
	});
};


function ajaxToId(url,id,data)
{
	ajax({
	    url: url+"/ajax",
	    method: 'POST',
	    data: "apiKey="+apiKey+"&"+data,
	    success: function(response) {
	    	$("#"+id).html(response);
	    },
	    error: function(xhr, status, error) {

	    }
	});
};



function ajaxToClass(url,classe,data)
{
	ajax({
	    url: url+"/ajax",
	    method: 'POST',
	    data: "apiKey="+apiKey+"&"+data,
	    success: function(response) {
	    	$("."+classe).html(response);
	    },
	    error: function(xhr, status, error) {

	    }
	});
};