function popupWindow(url,block) {
  var id = Date.now();
  document.body.style.overflow = 'hidden';
  var overlay = document.createElement('div');
  overlay.id = "overlay_" + id;  
  overlay.style.position = 'fixed';
  overlay.style.top = '0';
  overlay.style.left = '0';
  overlay.style.width = '100%';
  overlay.style.height = '100%';
  overlay.style.backgroundColor = 'black';
  overlay.style.opacity = '0.4';  
  overlay.style.zIndex = '9999';  
  overlay.style.margin = '0';  
  var closeButton;
  if (block) {
    closeButton = document.createElement('button');
    closeButton.innerHTML = '<i class="fas fa-times"></i>';  
    closeButton.style.position = 'absolute';
    closeButton.style.top = '10px';
    closeButton.style.right = '10px';
    closeButton.style.fontSize = '24px';
    closeButton.style.color = 'red';  
    closeButton.style.background = 'transparent';
    closeButton.style.border = 'none';
    closeButton.style.cursor = 'pointer';
    closeButton.onclick = function() {
      closePopup(id);
    };
    overlay.appendChild(closeButton);
  } else {
    overlay.onclick = function() {
      closePopup(id);
    };
  }
  var popup = document.createElement('div');
  popup.id = "popup_" + id;  
  popup.className = "popupWindow";
  popup.style.position = 'fixed';  
  popup.style.top = '50%';
  popup.style.left = '50%';
  popup.style.width = 'max-content';
  popup.style.transform = 'translate(-50%, -50%)';
  popup.style.backgroundColor = 'white';  
  popup.style.zIndex = '10000';  
  document.body.appendChild(overlay);
  document.body.appendChild(popup);
  ajax({
	    url: url+"/ajax",
	    method: 'POST',
	    data: "apiKey="+apiKey+"&contentID="+id,
	    success: function(response) {
	    	$("#popup_" + id).html(response);
	    },
	    error: function(xhr, status, error) {

	    }
	});  
}



function closePopup(id) {
  var overlay = document.getElementById("overlay_" + id);
  var popup = document.getElementById("popup_" + id);
  if (overlay) {
    document.body.removeChild(overlay);
  }
  if (popup) {
    document.body.removeChild(popup);
  }
  var remainingOverlays = Array.from(document.querySelectorAll('[id^="overlay_"]'));
  if (remainingOverlays.length === 0) {
    document.body.style.overflow = '';
  }
}
