<?php

/*
	AISA CODEX (c) 2005
	
	Copyright (c) 2005. All right reserved.
	www.AisaCodex.com - support@AisaCodex.com
	
*/

	// Check CORE core
	if ( !CODEX ) { header("HTTP/1.1 301 Moved Permanently"); header("Location: /"); }
	
	$is['update'] = time();

	$stripe = getSettings("stripe");
	include_once(CORE.'STATIC/STRIPE/init.php');
	\Stripe\Stripe::setApiKey($stripe['sk_test']);

function handleStripeOneTimePayment($token, $email, $proforma) {
    $dataMaster = infoDataOrder($proforma);
    $data = infoItemOrder($proforma);
    if ($dataMaster['company']) {
        $client = $dataMaster['company'];
    } else {
        $client = $dataMaster['name'] . " " . $dataMaster['surname'];
    }
    $description = $client . " ( " . $dataMaster['user'] . " )";
    $customer = \Stripe\Customer::create([ 'email' => $email ]);
    $amountInCents = str_replace(",", "", values(convertCurrency($dataMaster['total'], $_SESSION['site']['currency'], $dataMaster['currency']), 2)) * 100;
    $currency = $_SESSION['site']['currency'];
    $validCurrencies = ['ron','usd', 'eur', 'gbp'];
    if (!in_array(strtolower($currency), $validCurrencies)) {
        throw new Exception(translate('The currency code is invalid.'));
    }
    $paymentIntent = \Stripe\PaymentIntent::create([
        'amount' => $amountInCents,
        'currency' => $currency,
        'customer' => $customer->id,
        'description' => $description,
        'payment_method_data' => [
            'type' => 'card',
            'card' => [
                'token' => $token
            ],
        ],
        'confirm' => true,
        'return_url' => 'https://'.$_SESSION['site']['domain'].'/payments/success'
    ]);
    toExecuteAPI("UPDATE orders SET pay_intent='".$paymentIntent->id."' WHERE proforma='".escape($proforma)."' LIMIT 1");
	generateFiscalInvoice($proforma,null);

	
	return $paymentIntent->id;
 
}


function handleStripeSubscription($token, $email, $proforma) {
	$dataMaster = infoDataOrder($proforma);
	$data = infoItemOrder($proforma);
	// 1. Creeaz? sau ob?ine un client
	$customer = createOrGetCustomer($email, $token);
	if ( $customer['error'] ) { return json_encode($customer['error']); }
	
	
	// 2. Creeaz? sau ob?ine un plan
	$planId = cleanLink('pak'.$data['idx']);
	$amount = str_replace(",","",values(convertCurrency($data['price'],$_SESSION['site']['currency'],$data['currency']),2));
	$currency = $_SESSION['site']['currency'];
	$nickname = "pack".$data['idx'];
	$months = $data['period'];
	$interval = $data['period_name'];
	$forceStartDate = $data['force_start_date'];
	
   
	
	if ( $dataMaster['company'])
	{
		$client = $dataMaster['company'];
	} else {
		$client = $dataMaster['name']." ".$dataMaster['surname'];
	}
	$description = $client." ( ".$dataMaster['user']." )";
	
	$plan = createOrGetPlan($planId, $amount,$currency, $interval, $months, $nickname);
	if ( $plan['error'] ) { return $plan['error']; }
	
	
	// 3. Creeaz? un abonament pentru client
	$subscription = createOrGetSubscription($customer->id, $plan->id, $description,$forceStartDate,$dataMaster['serie']." ".$dataMaster['serie_no'],$dataMaster['proforma'] );
	if ( $subscription['error'] ) { return $subscription['error']; }
	
	$sql = "INSERT INTO service_control(status,subscriptionID,site,user,package,period,period_name,data_start,data_stop,proforma) VALUES(
		'1',
		'".escape($subscription->id)."',
		'".escape($_SESSION['site']['domain'])."',
		'".escape($_SESSION['user']['id'])."',
		'".escape($data['idx'])."',
		'".escape($data['period'])."',
		'".escape($data['period_name'])."',
		'".escape($data['data_start'])."',
		'".escape($data['data_stop'])."',
		'".escape($data['proforma'])."'
	)"; toExecuteAPI( $sql  );
	
	$sql = "UPDATE orders SET pay_intent='".$subscription->latest_invoice->payment_intent->id."' WHERE proforma='".escape($data['proforma'])."' LIMIT 1";
	toExecuteAPI( $sql );

	generateFiscalInvoice($proforma,null);
	
	return $subscription;
}

$input = json_decode(file_get_contents('php://input'), true);
if ( $input['token'] )
{
	$email = $input['email'];
	$token = $input['token'];
	$proforma = $input['proforma'];
	if ( $input['isRecurent'] )
	{
		echo json_encode(handleStripeSubscription($token, $email, $proforma));
	} else {
		echo json_encode(handleStripeOneTimePayment($token, $email, $proforma));
	}
}